Subject: Re: [PATCH] bcm63xx_enet: fix poll callback.

From: Nicolas Schichan <[email-masked]>
Date: Tue, 03 Mar 2015 14:53:36 +0100

On 03/03/2015 02:42 PM, Eric Dumazet wrote:
>> To avoid that, I would take priv->tx_lock only once, or add a limit on
>> the number of skbs that can be drained per round.
> 
> Something like this (untested) patch

I'm not against testing this patch, but we do not have any SMP capable bcm63xx
board here so I don't think it will be of any use.

bcm6358 and bcm6368 do indeed have two MIPS threads, but SMP is not possible
(due to a data cache or TLB shared across all MIPS threads , unbearably
complicating things, IIRC).

bcm63xx ARM SoCs look like they can support SMP though.

Regards,

-- 
Nicolas Schichan
Freebox SAS